:root {
    --grad-top: #000000;
    --grad-bot: #FF9100;
    --text-col: #ffffff;
    --mull-text-col: #ccc;
    --nav-col: #000000;
    --content-border-col: #333;
    --scrollbar-col: darkgrey;
    --scrollbar-track-col: #000000;
    --div-col2: rgba(255, 255, 255, 0.1);
    --button-col: #743089; /*8e712b;*/
    --button-text-col: #fff;
    --button-hover-col: #734582; /*9e813b;*/
    --button-shadow-col: #fff3;
}

* {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
    width: 100%;
}

body {
    background-color: var(--nav-col);; /*#938f7f;*/ /* var(--nav-col); */
    color: var(--text-col);
    font-family: Arial, sans-serif;
    min-height: 100vh;
    min-height: 100svh;
    width: 100%;
}

footer {
    background-color: var(--nav-col);
    padding-bottom: 1rem;
    width: 100%;
}

a {
    color: var(--mull-text-col);
    text-decoration: none;
}

a:hover {
    color: var(--text-col);
}


button {
    background-color: var(--button-col);
    border: none; 
    border-radius: 0.5em;
    color: var(--button-text-col);
    cursor: pointer;
    font-size: medium;
    padding: 1em;
    will-change: filter;
}

button:hover {
    filter:drop-shadow(0.0em 0.0em 0.8em var(--button-shadow-col)) ;
    background: var(--button-hover-col) !important;
    will-change: filter;
}

h1 {
    font-size: 5em; 
    white-space: pre;
}

.formContainer {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    width: 60%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    position: relative;
    padding: 2rem;
}

#popupForm2 {
    display: none; 
    position: fixed; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);/*#fff*/
    justify-content: center;
    align-items: center;
    border: #000 0.01em solid;
    border-radius: 1em;
    color: #000;
    z-index: 100;
}

.full_inf {
    display:flex;
    flex-direction:column;
    margin: auto;
    width: 67%;
}

.header_butts {
display:flex;flex-direction:row; margin-left:0.5em; gap:0.5em; justify-content:center;
}

@media(max-width: 800px) {
    .hideOnMobile {
        display: none;
    }
    h1 {
        font-size: xxx-large !important; 
    }
    .formContainer {
        width: 100% !important;
    }
    .full_inf {
        width: 100% !important;
    }
    .header_butts {
        display:grid !important;
        grid-template-columns: repeat(auto-fill, minmax(80px, 1fr)) !important;
    }
}

@media(max-width: 1300px) {
    .flipOnMobile {
        flex-direction: column !important;
    }
    h1 {
        font-size: xxx-large !important; 
    }
}

@media only screen and (max-device-width: 480px) {
    .hideOnMobile {
        display: none;
    }
    .flipOnMobile {
        flex-direction: column !important;
    }
    h1 {
        font-size: xxx-large !important; 
    }
    .formContainer {
        width: 100% !important;
    }
}

@keyframes slide-left {
    0% {
        transform: translateX(0);
    }

    50% {
        opacity: 1;
        transform: translateX(-120%);
    }

    50.001% {
        opacity: 0;
        transform: translateX(100vw);
    }

    50.002% {
        opacity: 1;
        transform: translateX(100vw);
    }

    100% {
        transform: translateX(0);
    }
}

@keyframes slide-left-2 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes slide-left-2p {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

img {
    will-change: filter;
}

input {
    font-size: medium;
}

p {
    font-size: large;
    ;
}

.ppa {
  color: blue !important
}

textarea {
    border: medium;
    border-radius: 0.5em;
    box-shadow: 0 0 0 1px var(--scrollbar-col);
    display: block;
    font-family: monospace;
    font-size: large;
    outline: none;
    resize: none;
}

.ibutton {
    background-color: var(--button-col);
    border: none; 
    border-radius: 0.5em;
    color: var(--button-text-col);
    cursor: pointer;
    font-size: medium;
    padding: 1em;
    will-change: filter;
}

.ibutton:hover {
    filter:drop-shadow(0.0em 0.0em 0.8em var(--button-shadow-col)) ;
    background: var(--button-hover-col) !important;
    will-change: filter;
}

.noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
}

::-webkit-scrollbar {
    background-color: transparent;
    border-radius: 0.2rem;
    height: 0.4rem;
    width: 0.4rem;
}

::-webkit-scrollbar-corner {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background: var(--scrollbar-col);
    border-radius: 0.2rem;
}

::-webkit-scrollbar-track {
    background: var(--scrollbar-track-col);
    border-radius: 0.2rem;
}

@keyframes wave {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.5);
    }
}

#popupForm {
    display: none; 
    position: fixed; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);/*#fff*/
    justify-content: center;
    align-items: center;
    border: #000 0.01em solid;
    border-radius: 1em;
    color: #000;
    z-index: 100;
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes colorChange {
    0% {
        border-top: 5px solid #734582; /* Starting color */
    }
    50% {
        border-top: 5px solid #743089; /* Midpoint color */
    }
    100% {
        border-top: 5px solid #734582; /* End color */
    }
}

.animation {
    display: block;
    position:absolute;
    left: calc(50% - 25px);
    top: calc(50% - 50px);
    width: 50px; /* Circle radius size */
    height: 50px; /* Circle radius size */
    border: 5px solid var(--button-disabled-col); /* Transparent border */
    border-radius: 50%; /* Makes it circular */
    border-top: 5px solid var(--button-disabled-col); /* Starting color */
    animation: spin 1s linear infinite, colorChange 3s linear infinite; /* Spin and color change */
}


/* Keeping the full outline visible with border color change */
.animation::before {
    content: '';
    display: block;
    left: calc(50% - 25px);
    top: calc(50% - 50px);
    width: 50px; /* Circle radius size */
    height: 50px; /* Circle radius size */
    position: absolute;
    border: 5px solid transparent; /* Outer border color */
    border-radius: 50%; /* Makes it circular */
    z-index: -1; /* Places behind the animated border */
}


.header { text-align: center; padding: 20px; }
/*.search-form { margin: 20px; }*/
/*.search-input { padding: 10px; margin: 5px; }*/

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 10px;
    padding: 10px;
}

.listing {
    border: 1px solid var(--content-border-col);
    padding: 10px;
    text-align: center;
}

.listing img {
    max-width: 100%;
    height: auto;
}

#fullDetails {
    gap: 10px;
    padding: 10px;
}

.checkbox-group {
    display: flex;
    gap: 10px;
}

.checkbox-button {
    display: none; /* Hide the checkbox */
}

.button {
    padding: 10px 20px;
    background-color: #333f4b; 
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.checkbox-button:checked + .button {
    background-color: #007BFF; /* Highlight color when checked */
}

.active_tag {
    background-color: #28455e !important;
}
.image-wrapper {
    aspect-ratio: 3 / 2;
    overflow: hidden; 
}
.image-wrapper img {
    width: 100%; /* Make the image fill the container */
    height: 100%; /* Make the image fill the container */
    object-fit: contain; /* Crop the image while maintaining aspect ratio */
}

.htel {
    width:0px;height:0px;overflow:none;
}


#loader {
    display: none; /* Initially hide the loader */
    text-align: center;
    padding: 10px;
}

.tttboard { display: grid; grid-template-columns: repeat(3, 100px); gap: 5px; }
.tttcell { background-color:#ccc; width: 100px; height: 100px; font-size: 24px; cursor: pointer; display: flex; align-items: center; justify-content: center; border: 1px solid #000; }
.tttcell:hover {background-color:#ddd !important;}
        
